import { IDesignItem } from '../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { AbstractExtension } from './AbstractExtension.js';
import { IExtensionManager } from './IExtensionManger.js';
export declare class PreviousElementSelectExtension extends AbstractExtension {
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem);
    private _path;
    private _rect;
    private _clickRect;
    private _g;
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    dispose(): void;
}
